#ifndef plaH
#define plakH

#include "pupik.h"
#include <fstream>

using namespace std;

// trida realizujici minimalizaci vystupni logicke funkce
// ------------------------------------------------------
class Pla {
    // privatni data
    Pupik *pupik;
    ifstream file;
    int inputs;
    int outputs;
    int pocet_iteraci;
    char token;
    
    //privatni metody
    bool get_term(char *);
    void read_header();

public:
    Pla(const char *);
    Pla(const char *, int);
    ~Pla(){ delete pupik; file.close(); };

    bool run();

};

#endif
